Index: /WAeUP_SRP/base/skins/waeup_upload/uploads_form.pt
===================================================================
--- /WAeUP_SRP/base/skins/waeup_upload/uploads_form.pt	(revision 3284)
+++ /WAeUP_SRP/base/skins/waeup_upload/uploads_form.pt	(revision 3285)
@@ -19,5 +19,6 @@
       <form action="" method="post" enctype="multipart/form-data" class="group">
         <span tal:replace="structure rendered" />
-        <input type="submit" name="upload" value="upload"
+        <br />
+        <input type="submit" name="upload" value="Upload"
                class="destructive" />
       </form>
@@ -30,9 +31,9 @@
             <th></th>
             <th>Filename</th>
-            <th>Schema</th>
-            <th>Uploaded by</th>
-            <th>Upload Date</th>
+            <th>Data Layout</th>
+            <th>By</th>
+            <th>Date</th>
             <th>Message</th>
-            <th>Invalid Keys</th>
+            <th>Conform Headline</th>
           </tr>            
           <tr tal:repeat="row rows"
@@ -60,6 +61,6 @@
             <td tal:content="row/msg" ></td>
             <td>
-              <span tal:repeat="key row/invalid_keys">
-                <span tal:replace="key" />
+              <div tal:repeat="key row/invalid_keys">
+                <span tal:replace="key" /><br />
                 <select tal:attributes="name string:${row/id}|${key}.valid_key:record">
                   <option tal:repeat="new row/valid_keys"
@@ -67,5 +68,5 @@
                           tal:content="new" />
                 </select>
-              </span>
+              </div>
             </td>
             <td tal:condition="python:0"> 
@@ -79,27 +80,22 @@
           </tr>
         </table>
-        <table width="100%" cellspacing="0" cellpadding="2"
-               summary="contents of the folder"
-               class="folderButtons">
-          <tr>
-            <td align="left" valign="top" rowspan="3"></td>
-            <td align="left" valign="top">
-                <input tal:condition="nothing" type="button" value="button_select_all" class="context"
-                       onclick="someJavaScriptFunctionThatWillBeReplaced"
-                       i18n:attributes="value"
-                       tal:attributes="onclick python:'toggleSelect(this, \'%s\', \'%s\')'
-                       % (cpsmcat('button_select_all'), cpsmcat('button_deselect_all'))"
-                       />
-                <input type="submit" name="edit" value="edit"
-                       class="destructive" i18n:attributes="value"
-                       />
-                <input type="submit" name="folder_delete:method" value="button_delete"
-                       class="destructive" i18n:attributes="value"
-                       tal:attributes="onclick python:'return window.confirm(\'%s\')' %
-                       (cpsmcat('description_confirm_delete'), )" 
-                       />
-            </td>
-          </tr>
-        </table>
+        
+        <br />
+
+        <input tal:condition="nothing" type="button" value="button_select_all" class="context"
+               onclick="someJavaScriptFunctionThatWillBeReplaced"
+               i18n:attributes="value"
+               tal:attributes="onclick python:'toggleSelect(this, \'%s\', \'%s\')'
+               % (cpsmcat('button_select_all'), cpsmcat('button_deselect_all'))"
+               />
+        <input type="submit" name="edit" value="Edit"
+               class="destructive" i18n:attributes="value"
+               />
+        <input type="submit" name="folder_delete:method" value="button_delete"
+               class="destructive" i18n:attributes="value"
+               tal:attributes="onclick python:'return window.confirm(\'%s\')' %
+               (cpsmcat('description_confirm_delete'), )" 
+               />
+
       </form>
     </metal:main>
Index: /WAeUP_SRP/base/skins/waeup_upload/uploads_index.py
===================================================================
--- /WAeUP_SRP/base/skins/waeup_upload/uploads_index.py	(revision 3284)
+++ /WAeUP_SRP/base/skins/waeup_upload/uploads_index.py	(revision 3285)
@@ -50,6 +50,6 @@
         if new_keys:
             doc.editHeadline(new_keys)
-        request.RESPONSE.redirect(context.absolute_url())    
-        
+        request.RESPONSE.redirect(context.absolute_url())
+
 for id,upload in context.objectItems():
     row = {}
@@ -61,5 +61,5 @@
     row['url'] = upload.absolute_url()
     row['msg'], row['invalid_keys'] = doc['checkKeys']()
-    row['filename'] = doc.filename 
+    row['filename'] = doc.filename
     row['import_layout'] = doc.import_layout
     row['upload_date'] =  doc.upload_date.strftime("%d/%m/%y %H:%M:%S")
@@ -92,5 +92,5 @@
         if filename not in context.objectIds():
             break
-        psm = "Upload file exists"
+        psm = "Upload object exists!"
     return context.uploads_form(rendered = res,
                                         psm = psm,
@@ -103,5 +103,5 @@
 upload = getattr(context,filename)
 d = {}
-d['filename'] = d['id'] = filename 
+d['filename'] = d['id'] = filename
 d['upload_date'] =  DateTime.DateTime()
 d['import_layout'] = ds.get('import_layout','')
@@ -110,4 +110,4 @@
 upload.getContent().edit(mapping=d)
 
-request.RESPONSE.redirect(context.absolute_url())    
+request.RESPONSE.redirect(context.absolute_url())
 
Index: /WAeUP_SRP/uniben/profiles/default/layouts/upload.xml
===================================================================
--- /WAeUP_SRP/uniben/profiles/default/layouts/upload.xml	(revision 3284)
+++ /WAeUP_SRP/uniben/profiles/default/layouts/upload.xml	(revision 3285)
@@ -7,28 +7,30 @@
  <property name="flexible_widgets"/>
  <property name="validate_values_expr"></property>
-  <widget name="upload_file" meta_type="Disc File Widget">
-    <property name="title">Upload File</property>
-    <property name="fields">
-      <element value="filename"/>
-    </property>
-    <property name="is_required">True</property>
-    <property name="label">Upload File</property>
-    <property name="label_edit">Upload File</property>
-    <property name="readonly_layout_modes"/>
-    <property name="hidden_layout_modes">
-      <element value="create"/>
-    </property>
-    <property name="hidden_readonly_layout_modes"/>
-    <property name="size_max">0</property>
-    <property name="display_external_editor">False</property>
-  </widget>
+ 
+ <widget name="upload_file" meta_type="Disc File Widget">
+  <property name="title">Upload File</property>
+  <property name="fields">
+    <element value="filename"/>
+  </property>
+  <property name="is_required">True</property>
+  <property name="label">Upload File</property>
+  <property name="label_edit">Upload File</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+    <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="size_max">0</property>
+  <property name="display_external_editor">False</property>
+ </widget>
+ 
  <widget name="import_layout" meta_type="Select Widget">
-  <property name="title">Import Layout</property>
+  <property name="title">Data Layout</property>
   <property name="fields">
    <element value="import_layout"/>
   </property>
   <property name="is_required">False</property>
-  <property name="label">Import Layout</property>
-  <property name="label_edit">Import Layout</property>
+  <property name="label">Data Layout</property>
+  <property name="label_edit">Data Layout</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes"/>
@@ -36,4 +38,67 @@
   <property name="vocabulary">import_names</property>
  </widget>
+ 
+  <widget name="uploaded_by" meta_type="String Widget">
+    <property name="title">Uploaded By</property>
+    <property name="fields">
+      <element value="uploaded_by"/>
+    </property>
+    <property name="label">Uploaded By</property>
+    <property name="label_edit">Uploaded By</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes">
+    </property>
+    <property name="hidden_layout_modes">
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="css_class_expr">string:row</property>
+  </widget>
+  
+
+  <widget name="upload_date" meta_type="DateTime Widget">
+    <property name="title">Upload Date</property>
+    <property name="fields">
+      <element value="upload_date"/>
+    </property>
+    <property name="label">Upload Date</property>
+    <property name="label_edit">Upload Date</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes"/>
+    <property name="hidden_layout_modes">
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="view_format">%d/%m/%Y</property>
+    <property name="time_setting">False</property>
+    <property name="css_class_expr">string:row</property>
+  </widget>
+  
+  <widget name="import_date" meta_type="DateTime Widget">
+    <property name="title">Import Date</property>
+    <property name="fields">
+      <element value="import_date"/>
+    </property>
+    <property name="label">Import Date</property>
+    <property name="label_edit">Import Date</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes"/>
+    <property name="hidden_layout_modes">
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="view_format">%d/%m/%Y</property>
+    <property name="time_setting">False</property>
+    <property name="css_class_expr">string:row</property>
+  </widget>
+
+
+ 
  <table>
   <row>
@@ -43,4 +108,13 @@
    <cell name="import_layout" />
   </row>
+  <row>
+   <cell name="uploaded_by" />
+  </row>
+  <row>
+   <cell name="upload_date" />
+  </row>
+  <row>
+   <cell name="import_date" />
+  </row>      
  </table>
 </object>
Index: /WAeUP_SRP/uniben/profiles/default/schemas/upload.xml
===================================================================
--- /WAeUP_SRP/uniben/profiles/default/schemas/upload.xml	(revision 3284)
+++ /WAeUP_SRP/uniben/profiles/default/schemas/upload.xml	(revision 3285)
@@ -6,4 +6,4 @@
   <field name="filename" meta_type="CPS String Field"/>
   <field name="uploaded_by" meta_type="CPS String Field"/>
-  <field name="imported_at" meta_type="CPS DateTime Field"/>
+  <field name="import_date" meta_type="CPS DateTime Field"/>
 </object>