Index: WAeUP_SRP/fceokene/profiles/default/layouts/upload.xml
===================================================================
--- WAeUP_SRP/fceokene/profiles/default/layouts/upload.xml	(revision 3282)
+++ WAeUP_SRP/fceokene/profiles/default/layouts/upload.xml	(revision 3286)
@@ -7,28 +7,30 @@
  <property name="flexible_widgets"/>
  <property name="validate_values_expr"></property>
-  <widget name="upload_file" meta_type="Disc File Widget">
-    <property name="title">Upload File</property>
-    <property name="fields">
-      <element value="filename"/>
-    </property>
-    <property name="is_required">True</property>
-    <property name="label">Upload File</property>
-    <property name="label_edit">Upload File</property>
-    <property name="readonly_layout_modes"/>
-    <property name="hidden_layout_modes">
-      <element value="create"/>
-    </property>
-    <property name="hidden_readonly_layout_modes"/>
-    <property name="size_max">0</property>
-    <property name="display_external_editor">False</property>
-  </widget>
+ 
+ <widget name="upload_file" meta_type="Disc File Widget">
+  <property name="title">Upload File</property>
+  <property name="fields">
+    <element value="filename"/>
+  </property>
+  <property name="is_required">True</property>
+  <property name="label">Upload File</property>
+  <property name="label_edit">Upload File</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+    <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="size_max">0</property>
+  <property name="display_external_editor">False</property>
+ </widget>
+ 
  <widget name="import_layout" meta_type="Select Widget">
-  <property name="title">Import Layout</property>
+  <property name="title">Data Layout</property>
   <property name="fields">
    <element value="import_layout"/>
   </property>
   <property name="is_required">False</property>
-  <property name="label">Import Layout</property>
-  <property name="label_edit">Import Layout</property>
+  <property name="label">Data Layout</property>
+  <property name="label_edit">Data Layout</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes"/>
@@ -36,4 +38,67 @@
   <property name="vocabulary">import_names</property>
  </widget>
+ 
+  <widget name="uploaded_by" meta_type="String Widget">
+    <property name="title">Uploaded By</property>
+    <property name="fields">
+      <element value="uploaded_by"/>
+    </property>
+    <property name="label">Uploaded By</property>
+    <property name="label_edit">Uploaded By</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes">
+    </property>
+    <property name="hidden_layout_modes">
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="css_class_expr">string:row</property>
+  </widget>
+  
+
+  <widget name="upload_date" meta_type="DateTime Widget">
+    <property name="title">Upload Date</property>
+    <property name="fields">
+      <element value="upload_date"/>
+    </property>
+    <property name="label">Upload Date</property>
+    <property name="label_edit">Upload Date</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes"/>
+    <property name="hidden_layout_modes">
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="view_format">%d/%m/%Y</property>
+    <property name="time_setting">False</property>
+    <property name="css_class_expr">string:row</property>
+  </widget>
+  
+  <widget name="import_date" meta_type="DateTime Widget">
+    <property name="title">Import Date</property>
+    <property name="fields">
+      <element value="import_date"/>
+    </property>
+    <property name="label">Import Date</property>
+    <property name="label_edit">Import Date</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes"/>
+    <property name="hidden_layout_modes">
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="view_format">%d/%m/%Y</property>
+    <property name="time_setting">False</property>
+    <property name="css_class_expr">string:row</property>
+  </widget>
+
+
+ 
  <table>
   <row>
@@ -43,4 +108,13 @@
    <cell name="import_layout" />
   </row>
+  <row>
+   <cell name="uploaded_by" />
+  </row>
+  <row>
+   <cell name="upload_date" />
+  </row>
+  <row>
+   <cell name="import_date" />
+  </row>      
  </table>
 </object>
Index: WAeUP_SRP/fceokene/profiles/default/schemas/upload.xml
===================================================================
--- WAeUP_SRP/fceokene/profiles/default/schemas/upload.xml	(revision 3282)
+++ WAeUP_SRP/fceokene/profiles/default/schemas/upload.xml	(revision 3286)
@@ -6,4 +6,4 @@
   <field name="filename" meta_type="CPS String Field"/>
   <field name="uploaded_by" meta_type="CPS String Field"/>
-  <field name="imported_at" meta_type="CPS DateTime Field"/>
+  <field name="import_date" meta_type="CPS DateTime Field"/>
 </object>