Index: /WAeUP_SRP/fceokene/profiles/default/actionicons.xml
===================================================================
--- /WAeUP_SRP/fceokene/profiles/default/actionicons.xml	(revision 3289)
+++ /WAeUP_SRP/fceokene/profiles/default/actionicons.xml	(revision 3290)
@@ -192,6 +192,9 @@
               action_id="view_documents" title="Documents"
               priority="5" icon_expr="blank.gif"/>
+ <action-icon category="navigation"
+              action_id="view_uploads" title="Uploads"
+              priority="6" icon_expr="blank.gif"/>              
  <action-icon category="navigation" action_id="contact_admin"
-              title="Contact" priority="6"
+              title="Contact" priority="7"
               icon_expr="blank.gif"/>
 
@@ -244,5 +247,5 @@
  <action-icon category="student" action_id="apply_pde_admission"
               title="Apply for PUDE" priority="14"
-              icon_expr="bell.png"/>              
+              icon_expr="bell.png"/>
  <action-icon category="student" action_id="display_pume_results"
               title="Display PUME Results" priority="3"
Index: /WAeUP_SRP/fceokene/profiles/default/layouts/upload.xml
===================================================================
--- /WAeUP_SRP/fceokene/profiles/default/layouts/upload.xml	(revision 3289)
+++ /WAeUP_SRP/fceokene/profiles/default/layouts/upload.xml	(revision 3290)
@@ -1,4 +1,4 @@
 <?xml version="1.0"?>
-<object name="import_data" meta_type="CPS Layout">
+<object name="upload" meta_type="CPS Layout">
  <property name="layout_create_method"></property>
  <property name="layout_edit_method"></property>
@@ -7,22 +7,24 @@
  <property name="flexible_widgets"/>
  <property name="validate_values_expr"></property>
- 
- <widget name="upload_file" meta_type="Disc File Widget">
-  <property name="title">Upload File</property>
+ <property name="label"></property>
+ <property name="label_edit"></property>
+ <property name="is_i18n">False</property>
+ <widget name="import_date" meta_type="DateTime Widget">
+  <property name="title">Import Date</property>
   <property name="fields">
-    <element value="filename"/>
+   <element value="import_date"/>
   </property>
-  <property name="is_required">True</property>
-  <property name="label">Upload File</property>
-  <property name="label_edit">Upload File</property>
+  <property name="label">Import Date</property>
+  <property name="label_edit">Import Date</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
-    <element value="create"/>
+   <element value="create"/>
+   <element value="edit"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="size_max">0</property>
-  <property name="display_external_editor">False</property>
+  <property name="css_class_expr">string:row</property>
+  <property name="view_format">%d/%m/%Y</property>
+  <property name="time_setting">False</property>
  </widget>
- 
  <widget name="import_layout" meta_type="Select Widget">
   <property name="title">Data Layout</property>
@@ -30,5 +32,4 @@
    <element value="import_layout"/>
   </property>
-  <property name="is_required">False</property>
   <property name="label">Data Layout</property>
   <property name="label_edit">Data Layout</property>
@@ -38,83 +39,69 @@
   <property name="vocabulary">import_names</property>
  </widget>
- 
-  <widget name="uploaded_by" meta_type="String Widget">
-    <property name="title">Uploaded By</property>
-    <property name="fields">
-      <element value="uploaded_by"/>
-    </property>
-    <property name="label">Uploaded By</property>
-    <property name="label_edit">Uploaded By</property>
-    <property name="description"></property>
-    <property name="help"></property>
-    <property name="is_i18n">False</property>
-    <property name="widget_mode_expr"></property>
-    <property name="readonly_layout_modes">
-    </property>
-    <property name="hidden_layout_modes">
-    </property>
-    <property name="hidden_readonly_layout_modes"/>
-    <property name="css_class_expr">string:row</property>
-  </widget>
-  
-
-  <widget name="upload_date" meta_type="DateTime Widget">
-    <property name="title">Upload Date</property>
-    <property name="fields">
-      <element value="upload_date"/>
-    </property>
-    <property name="label">Upload Date</property>
-    <property name="label_edit">Upload Date</property>
-    <property name="description"></property>
-    <property name="help"></property>
-    <property name="is_i18n">False</property>
-    <property name="widget_mode_expr"></property>
-    <property name="readonly_layout_modes"/>
-    <property name="hidden_layout_modes">
-    </property>
-    <property name="hidden_readonly_layout_modes"/>
-    <property name="view_format">%d/%m/%Y</property>
-    <property name="time_setting">False</property>
-    <property name="css_class_expr">string:row</property>
-  </widget>
-  
-  <widget name="import_date" meta_type="DateTime Widget">
-    <property name="title">Import Date</property>
-    <property name="fields">
-      <element value="import_date"/>
-    </property>
-    <property name="label">Import Date</property>
-    <property name="label_edit">Import Date</property>
-    <property name="description"></property>
-    <property name="help"></property>
-    <property name="is_i18n">False</property>
-    <property name="widget_mode_expr"></property>
-    <property name="readonly_layout_modes"/>
-    <property name="hidden_layout_modes">
-    </property>
-    <property name="hidden_readonly_layout_modes"/>
-    <property name="view_format">%d/%m/%Y</property>
-    <property name="time_setting">False</property>
-    <property name="css_class_expr">string:row</property>
-  </widget>
-
-
- 
+ <widget name="upload_date" meta_type="DateTime Widget">
+  <property name="title">Upload Date</property>
+  <property name="fields">
+   <element value="upload_date"/>
+  </property>
+  <property name="label">Upload Date</property>
+  <property name="label_edit">Upload Date</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+   <element value="edit"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="css_class_expr">string:row</property>
+  <property name="view_format">%d/%m/%Y</property>
+  <property name="time_setting">False</property>
+ </widget>
+ <widget name="upload_file" meta_type="Disc File Widget">
+  <property name="title">Upload File</property>
+  <property name="fields">
+   <element value="filename"/>
+  </property>
+  <property name="is_required">True</property>
+  <property name="label">Upload File</property>
+  <property name="label_edit">Upload File</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="size_max">0</property>
+  <property name="display_external_editor">False</property>
+ </widget>
+ <widget name="uploaded_by" meta_type="String Widget">
+  <property name="title">Uploaded By</property>
+  <property name="fields">
+   <element value="uploaded_by"/>
+  </property>
+  <property name="label">Uploaded By</property>
+  <property name="label_edit">Uploaded By</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+   <element value="edit"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="css_class_expr">string:row</property>
+ </widget>
  <table>
   <row>
-   <cell name="upload_file" />
+   <cell name="upload_file"/>
   </row>
   <row>
-   <cell name="import_layout" />
+   <cell name="import_layout"/>
   </row>
   <row>
-   <cell name="uploaded_by" />
+   <cell name="uploaded_by"/>
   </row>
   <row>
-   <cell name="upload_date" />
+   <cell name="upload_date"/>
   </row>
   <row>
-   <cell name="import_date" />
-  </row>      
+   <cell name="import_date"/>
+  </row>
  </table>
 </object>
+