Index: /WAeUP_SRP/base/skins/waeup_upload/uploads_form.pt
===================================================================
--- /WAeUP_SRP/base/skins/waeup_upload/uploads_form.pt	(revision 3296)
+++ /WAeUP_SRP/base/skins/waeup_upload/uploads_form.pt	(revision 3297)
@@ -24,5 +24,5 @@
       </form>
       <span tal:condition="info/wrong">
-        <h2>Uploads which must be corrected:</h2>
+        <h2>Non-importable Uploads</h2>
         <form  action="" method="post" class="group"
                tal:attributes="action info/action"
@@ -34,7 +34,7 @@
               <th>Data Layout</th>
               <th>By</th>
-              <th>Date</th>
-              <th>Message</th>
-              <th>Unknown Fields</th>
+              <th>Upload Date</th>
+              <th>Error Message</th>
+              <th>Invalid Keys</th>
             </tr>            
             <tr tal:repeat="row info/wrong"
@@ -80,5 +80,13 @@
             </tr>
           </table>
+          
           <br />
+          
+          <font color='red'>Please see error message for further information. If there are 
+          'invalid keys in heading', you can edit the uploaded file online. Select the correct keys 
+          (columns titles) from the select boxes provided, check the box in the first column and press Edit. 
+          If you have accidentally chosen the wrong import data layout, select the correct layout and press Edit.  </font>
+                    
+          <br /><br />
           <input tal:condition="nothing" type="button" value="button_select_all" class="context"
                  onclick="someJavaScriptFunctionThatWillBeReplaced"
@@ -87,5 +95,5 @@
                  % (cpsmcat('button_select_all'), cpsmcat('button_deselect_all'))"
                  />
-          <input type="submit" name="edit" value="edit"
+          <input type="submit" name="edit" value="Edit"
                  class="destructive" i18n:attributes="value"
                  />
@@ -98,5 +106,5 @@
       </span>
       <span tal:condition="info/importable">
-        <h2>Importable Uploads:</h2>
+        <h2>Importable Uploads</h2>
         <form action="" method="post" class="group"
               tal:attributes="action info/action"
@@ -108,5 +116,5 @@
               <th>Data Layout</th>
               <th>By</th>
-              <th>Date</th>
+              <th>Upload Date</th>
             </tr>            
             <tr tal:repeat="row info/importable"
@@ -135,5 +143,5 @@
                  % (cpsmcat('button_select_all'), cpsmcat('button_deselect_all'))"
                  />
-          <input type="submit" name="import_uploads:method" value="import"
+          <input type="submit" name="import_uploads:method" value="Import"
                  class="destructive" i18n:attributes="value"
                  tal:attributes="onclick python:'return window.confirm(\'%s\')' %
@@ -148,5 +156,5 @@
       </span>
       <span tal:condition="info/imported">
-        <h2>Imported Uploads:</h2>
+        <h2>Imported Uploads</h2>
         <form action="" method="post" class="group"
               tal:attributes="action info/action"
Index: /WAeUP_SRP/base/skins/waeup_upload/uploads_index.py
===================================================================
--- /WAeUP_SRP/base/skins/waeup_upload/uploads_index.py	(revision 3296)
+++ /WAeUP_SRP/base/skins/waeup_upload/uploads_index.py	(revision 3297)
@@ -77,5 +77,8 @@
         row['imported'] = True
         row['msg'] = import_message
-        row['imported_at'] = doc.imported_at.strftime("%d/%m/%y %H:%M:%S")
+        if getattr(doc,'imported_at',''):
+            row['imported_at'] = doc.imported_at.strftime("%d/%m/%y %H:%M:%S")
+        else:
+            row['imported_at'] = ''
         add_to = imported
     else:
Index: /WAeUP_SRP/uniben/profiles/default/layouts/upload.xml
===================================================================
--- /WAeUP_SRP/uniben/profiles/default/layouts/upload.xml	(revision 3296)
+++ /WAeUP_SRP/uniben/profiles/default/layouts/upload.xml	(revision 3297)
@@ -66,5 +66,4 @@
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
-   <element value="create"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
@@ -87,4 +86,18 @@
   <property name="css_class_expr">string:row</property>
  </widget>
+ <widget name="import_message" meta_type="String Widget">
+  <property name="title">Import Message</property>
+  <property name="fields">
+   <element value="import_message"/>
+  </property>
+  <property name="label">Import Message</property>
+  <property name="label_edit">Import Message</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="css_class_expr">string:row</property>
+ </widget> 
  <table>
   <row>
@@ -103,4 +116,7 @@
    <cell name="import_date"/>
   </row>
+  <row>
+   <cell name="import_message"/>
+  </row>  
  </table>
 </object>