Index: /WAeUP_SRP/base/WAeUPTool.py
===================================================================
--- /WAeUP_SRP/base/WAeUPTool.py	(revision 3307)
+++ /WAeUP_SRP/base/WAeUPTool.py	(revision 3308)
@@ -1412,4 +1412,5 @@
         current = importer.current
         import_date = importer.import_date
+        imported_by = importer.imported_by
         #
         # not_imported
@@ -1636,5 +1637,7 @@
                 upload_doc = upload.getContent()
                 mapping = {}
-                mapping['imported_at'] = DateTime.DateTime()
+                #mapping['import_date'] = DateTime.DateTime()
+                mapping['import_date'] = import_date
+                mapping['imported_by'] = imported_by
                 mapping['import_message'] = msg
                 upload_doc.edit(mapping = mapping)
Index: /WAeUP_SRP/base/skins/waeup_upload/uploads_form.pt
===================================================================
--- /WAeUP_SRP/base/skins/waeup_upload/uploads_form.pt	(revision 3307)
+++ /WAeUP_SRP/base/skins/waeup_upload/uploads_form.pt	(revision 3308)
@@ -163,8 +163,9 @@
           <table tal:condition="python: 1" class="contentListing" width="100%" summary="content layout" id="folder_content">      
             <tr>
-              <th>Filename</th>
+              <th>File in Archive</th>
               <th>Data Layout</th>
-              <th>By</th>
-              <th>Date</th>
+              <th>Uploaded By</th>
+              <th>Upload Date</th>
+              <th>Imported By</th>
               <th>Import Date</th>
               <th>Message</th>
@@ -177,5 +178,6 @@
               <td tal:content="row/uploaded_by" ></td>
               <td tal:content="row/upload_date" ></td>
-              <td tal:content="row/imported_at" ></td>
+              <td tal:content="row/imported_by" ></td>
+              <td tal:content="row/import_date" ></td>
               <td tal:content="row/msg"></td>
             </tr>
Index: /WAeUP_SRP/base/skins/waeup_upload/uploads_index.py
===================================================================
--- /WAeUP_SRP/base/skins/waeup_upload/uploads_index.py	(revision 3307)
+++ /WAeUP_SRP/base/skins/waeup_upload/uploads_index.py	(revision 3308)
@@ -76,8 +76,8 @@
         row['imported'] = True
         row['msg'] = import_message
-        if getattr(doc,'imported_at',''):
-            row['imported_at'] = doc.imported_at.strftime("%d/%m/%y %H:%M:%S")
+        if getattr(doc,'import_date',''):
+            row['import_date'] = doc.import_date.strftime("%d/%m/%y %H:%M:%S")
         else:
-            row['imported_at'] = ''
+            row['import_date'] = ''
         add_to = imported
     else:
@@ -96,5 +96,5 @@
 info['imported'] = imported
 info['importable'] = importable
-info['import_allowed'] = str(member) in ('admin','joachim',) 
+info['import_allowed'] = str(member) in ('admin','joachim',)
 
 validate = "upload" in request.keys()
Index: /WAeUP_SRP/uniben/profiles/default/layouts/upload.xml
===================================================================
--- /WAeUP_SRP/uniben/profiles/default/layouts/upload.xml	(revision 3307)
+++ /WAeUP_SRP/uniben/profiles/default/layouts/upload.xml	(revision 3308)
@@ -71,4 +71,19 @@
   <property name="display_external_editor">False</property>
  </widget>
+ <widget name="imported_by" meta_type="String Widget">
+  <property name="title">Imported By</property>
+  <property name="fields">
+   <element value="imported_by"/>
+  </property>
+  <property name="label">Imported By</property>
+  <property name="label_edit">Imported By</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+   <element value="edit"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="css_class_expr">string:row</property>
+ </widget>
  <widget name="uploaded_by" meta_type="String Widget">
   <property name="title">Uploaded By</property>
@@ -85,5 +100,5 @@
   <property name="hidden_readonly_layout_modes"/>
   <property name="css_class_expr">string:row</property>
- </widget>
+ </widget> 
  <widget name="import_message" meta_type="String Widget">
   <property name="title">Import Message</property>
@@ -99,5 +114,5 @@
   <property name="hidden_readonly_layout_modes"/>
   <property name="css_class_expr">string:row</property>
- </widget> 
+ </widget>
  <table>
   <row>
@@ -114,9 +129,12 @@
   </row>
   <row>
+   <cell name="imported_by"/>
+  </row>
+  <row>
    <cell name="import_date"/>
   </row>
   <row>
    <cell name="import_message"/>
-  </row>  
+  </row>
  </table>
 </object>
Index: /WAeUP_SRP/uniben/profiles/default/schemas/upload.xml
===================================================================
--- /WAeUP_SRP/uniben/profiles/default/schemas/upload.xml	(revision 3307)
+++ /WAeUP_SRP/uniben/profiles/default/schemas/upload.xml	(revision 3308)
@@ -6,4 +6,5 @@
   <field name="filename" meta_type="CPS String Field"/>
   <field name="uploaded_by" meta_type="CPS String Field"/>
+  <field name="imported_by" meta_type="CPS String Field"/>
   <field name="import_date" meta_type="CPS DateTime Field"/>
   <field name="import_message" meta_type="CPS String Field"/>