Index: WAeUP_SRP/base/Upload.py
===================================================================
--- WAeUP_SRP/base/Upload.py	(revision 3318)
+++ WAeUP_SRP/base/Upload.py	(revision 3319)
@@ -15,5 +15,5 @@
 from WAeUPImport import DepartmentImport,FacultyImport,StudentImport,VerdictImport
 from WAeUPImport import NO_KEY,IGNORE
- 
+
 import logging
 import csv,re,os
@@ -80,5 +80,5 @@
             else:
                 base_path = os.path.split(csv_path)[1]
-                msg = 'No such file %(base_path)s' % vars()
+                msg = '+ no such file %(base_path)s +' % vars()
         else:
             reader = csv.reader(open(csv_path,"rb"))
@@ -86,8 +86,8 @@
             values = reader.next()
             if "import_mode" not in headline:
-                msg += 'import_mode must be in heading'
+                msg += '+ import_mode must be in heading +'
             invalid_keys = importer.checkHeadline(headline)
             if invalid_keys:
-                msg += "invalid keys in heading"
+                msg += "+ invalid keys in heading +"
             err,keys = importer.getHeadlineFields(headline,values)
             if err:
@@ -95,5 +95,5 @@
         return msg,keys
     ###)
-    
+
     security.declareProtected(View,"getFields") ###(
     def getKeys(self):
@@ -105,5 +105,5 @@
         return keys
     ###)
-    
+
     security.declareProtected(View,"getUploadFileInfo") ###(
     def getUploadFileInfo(self):
@@ -112,5 +112,5 @@
         return os.stat(os.path.join(storage_path,doc.filename))
     ###)
-    
+
     security.declareProtected(ModifyPortalContent,"editHeadline") ###(
     def editHeadline(self,key_pairs):
@@ -129,6 +129,6 @@
         writer.writerow(headline)
         writer.writerows(records)
-        
-        
+
+
 InitializeClass(Upload)
 
Index: WAeUP_SRP/base/WAeUPImport.py
===================================================================
--- WAeUP_SRP/base/WAeUPImport.py	(revision 3318)
+++ WAeUP_SRP/base/WAeUPImport.py	(revision 3319)
@@ -168,10 +168,10 @@
         while True:
             if len(values) != len(import_keys):
-                msg += "%d fields in headline but %d values" % (len(import_keys),len(values))
+                msg += "+ %d fields in headline but %d values +" % (len(import_keys),len(values))
                 break
             for k in import_keys:
                 if k in singels:
                     keys += (k,'%s' % k,values[i],'(duplicate)'),
-                    msg += ("duplicate %s," % k)
+                    msg += ("+ duplicate %s +" % k)
                     keys[singels.index(k)] = (k,'%s' % k,values[singels.index(k)],'(duplicate)')
                 elif k in invalid_keys and not k.startswith(IGNORE):
Index: WAeUP_SRP/base/skins/waeup_upload/uploads_form.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_upload/uploads_form.pt	(revision 3318)
+++ WAeUP_SRP/base/skins/waeup_upload/uploads_form.pt	(revision 3319)
@@ -70,5 +70,5 @@
               <tr>
                 <th></th>
-                <th>Current Column Heading</th>
+                <th>Current Column Title</th>
                 <th>Possible Field Names</th>
                 <th colspan="3">First Record (Example)</th>
@@ -97,7 +97,7 @@
           <br />
           
-          <font color='red'>Please see error message for further information. If there are 
-          'invalid keys in heading', you can edit the uploaded file online. Select the correct keys 
-          (column titles) from the select boxes provided, tick the box in the first column of the table and press the Edit button. 
+          <font color='red'>Please see error message for further information. If there are errors in the headline of the import file
+          (e.g. invalid keys in heading), you can edit the uploaded file online. Select the correct field names
+          from the select boxes provided, tick the box in the first column of the table and press the Edit button. 
           If you have accidentally chosen the wrong import data layout, select the correct layout and press the Edit button.  </font>
                     