Index: /WAeUP_SRP/base/WAeUPTool.py
===================================================================
--- /WAeUP_SRP/base/WAeUPTool.py	(revision 3338)
+++ /WAeUP_SRP/base/WAeUPTool.py	(revision 3339)
@@ -890,5 +890,5 @@
         #import pdb;pdb.set_trace()
         if not hasattr(self,"_v_certificates"):
-            self._v_certificates = [entry[0] for entry in self.getCertificatesVoc()]
+            self._v_certificates = self.getCertificatesDict()
         students_folder = self.portal_url.getPortalObject().campus.students
         logger = logging.getLogger('WAeUPTool.admitOneStudent')
@@ -942,16 +942,21 @@
         da['app_email'] = brain.email
         da['app_mobile'] = brain.phone
-        if brain.entry_mode:
-            da['entry_mode'] = brain.entry_mode
-        elif brain.screening_type == 'pume':
-            da['entry_mode'] = 'ume_ft'
-        elif brain.screening_type == 'pde':
-            da['entry_mode'] = 'de_ft'
-        elif brain.screening_type == 'pce':
-            da['entry_mode'] = 'pce'
-        elif brain.screening_type == 'prence':
-            da['entry_mode'] = 'prence'
-        else:
-            da['entry_mode'] = ''
+
+        da['entry_mode'] = self._v_certificates[brain.course_admitted][1]
+
+        #if brain.entry_mode:
+        #    da['entry_mode'] = brain.entry_mode
+        #elif brain.screening_type == 'pume':
+        #    da['entry_mode'] = 'ume_ft'
+        #elif brain.screening_type == 'pde':
+        #    da['entry_mode'] = 'de_ft'
+        #elif brain.screening_type == 'pce':
+        #    da['entry_mode'] = 'pce'
+        #elif brain.screening_type == 'prence':
+        #    da['entry_mode'] = 'prence'
+        #else:
+        #    da['entry_mode'] = ''
+
+
         da['entry_session'] = entry_session
         da['jamb_lastname'] = brain.lastname
Index: /WAeUP_SRP/base/skins/waeup_academics/getCertificatesDict.py
===================================================================
--- /WAeUP_SRP/base/skins/waeup_academics/getCertificatesDict.py	(revision 3339)
+++ /WAeUP_SRP/base/skins/waeup_academics/getCertificatesDict.py	(revision 3339)
@@ -0,0 +1,29 @@
+##parameters=key=None
+# $Id: getCertificatesVoc.py 3254 2008-02-28 13:06:20Z joachim $
+"""
+Return the certificates as dictionary
+
+"""
+
+try:
+    from Products.zdb import set_trace
+except:
+    def set_trace():
+        pass
+
+if key is None:
+    res = context.portal_catalog.search({'meta_type': "Certificate"})
+    dict = {}
+   
+    for d in res:
+        c = d.getObject().getContent()
+        if not hasattr(c,'study_mode'):
+            continue
+        dict[d.getId] = (c.title,c.study_mode)
+    #set_trace()    
+    return dict
+
+res = context.portal_catalog.search({'meta_type': "Certificate", 'id': key})
+if res:
+    return res[0].Title
+raise KeyError
Index: eUP_SRP/base/skins/waeup_academics/getCertificatesList.py
===================================================================
--- /WAeUP_SRP/base/skins/waeup_academics/getCertificatesList.py	(revision 3338)
+++ 	(revision )
@@ -1,28 +1,0 @@
-##parameters=key=None
-# $Id: getCertificatesVoc.py 3254 2008-02-28 13:06:20Z joachim $
-"""
-Return the certificates as list
-
-"""
-
-try:
-    from Products.zdb import set_trace
-except:
-    def set_trace():
-        pass
-
-if key is None:
-    res = context.portal_catalog.search({'meta_type': "Certificate"})
-    l = []
-    #set_trace()
-    for d in res:
-        c = d.getObject().getContent()
-        if not hasattr(c,'study_mode'):
-            continue
-        l.append((d.getId,c.title,c.study_mode))
-    return l
-
-res = context.portal_catalog.search({'meta_type': "Certificate", 'id': key})
-if res:
-    return res[0].Title
-raise KeyError
Index: /WAeUP_SRP/base/skins/waeup_academics/getCertificatesVoc.py
===================================================================
--- /WAeUP_SRP/base/skins/waeup_academics/getCertificatesVoc.py	(revision 3338)
+++ /WAeUP_SRP/base/skins/waeup_academics/getCertificatesVoc.py	(revision 3339)
@@ -1,3 +1,3 @@
-##parameters=key=None 
+##parameters=key=None
 # $Id$
 """
@@ -6,8 +6,8 @@
 """
 if key is None:
-    res = context.portal_catalog.search({'meta_type': "Certificate"})    
+    res = context.portal_catalog.search({'meta_type': "Certificate"})
     return [(d.getId,d.Title,) for d in res]
 res = context.portal_catalog.search({'meta_type': "Certificate", 'id': key})
 if res:
-    return [-1].Title
+    return res[0].Title
 raise KeyError
Index: /WAeUP_SRP/base/skins/waeup_academics/getDepartmentsVoc.py
===================================================================
--- /WAeUP_SRP/base/skins/waeup_academics/getDepartmentsVoc.py	(revision 3338)
+++ /WAeUP_SRP/base/skins/waeup_academics/getDepartmentsVoc.py	(revision 3339)
@@ -6,9 +6,9 @@
 """
 if key is None:
-    res = context.portal_catalog.search({'meta_type': "Department"})    
+    res = context.portal_catalog.search({'meta_type': "Department"})
     return [(d.getId(),d.Title,) for d in res]
 res = context.portal_catalog.search({'meta_type': "Department", 'id': key})
 if res:
-    return res[-1].Title
+    return res[0].Title
 
 raise KeyError
Index: /WAeUP_SRP/base/skins/waeup_academics/getFacultiesVoc.py
===================================================================
--- /WAeUP_SRP/base/skins/waeup_academics/getFacultiesVoc.py	(revision 3338)
+++ /WAeUP_SRP/base/skins/waeup_academics/getFacultiesVoc.py	(revision 3339)
@@ -1,3 +1,3 @@
-##parameters=key=None 
+##parameters=key=None
 # $Id$
 """
@@ -6,8 +6,8 @@
 """
 if key is None:
-    res = context.portal_catalog.search({'meta_type': "Faculty"})    
+    res = context.portal_catalog.search({'meta_type': "Faculty"})
     return [(d.getId,d.Title,) for d in res]
 res = context.portal_catalog.search({'meta_type': "Faculty", 'id': key})
 if res:
-    return [-1].Title
+    return res[0].Title
 raise KeyError
Index: /WAeUP_SRP/base/skins/waeup_student/admitStudents.py
===================================================================
--- /WAeUP_SRP/base/skins/waeup_student/admitStudents.py	(revision 3338)
+++ /WAeUP_SRP/base/skins/waeup_student/admitStudents.py	(revision 3339)
@@ -52,7 +52,7 @@
         context.waeup_tool.doCommit()
         logger.info("Committing %s transactions, total %s" % (commit_after,count))
-        # cocount += 1
-        # if cocount > 1:
-        #     break
+        cocount += 1
+        if cocount > 1:
+            break
     brain = aq_applicants(Eq('reg_no',reg_no))[0]
     #logger.info("start creating  objects of student %s" % (brain.reg_no))