Index: /WAeUP_SRP/base/WAeUPImport.py
===================================================================
--- /WAeUP_SRP/base/WAeUPImport.py	(revision 3354)
+++ /WAeUP_SRP/base/WAeUPImport.py	(revision 3355)
@@ -244,7 +244,9 @@
             departments = self.portal_catalog(portal_type = "Department")
             self._v_department_certificates = {}
-            for d in departments:
-                certificates_folder = getattr(d.getObject(),"certificates",None)
-                self._v_department_certificates[d.getId] = certificates_folder.objectIds()
+            for department  in departments:
+                certificates_container = getattr(department.getObject(),"certificates",None)
+                self._v_department_certificates[department.getId] = {'container': certificates_container,
+                                                            'certificates': certificates_container.objectIds(),
+                                                            }
         department_id = mapping['department_code']
         msg = ''
@@ -255,18 +257,20 @@
                 msg =  "No Department with ID: %s" % department_id
                 break
+            certificates_container = department_certificates['container']
+            certificates = department_certificates['certificates']
             if certificate_id in self._v_certificate_list:
                 msg =  "Duplicate Certificate ID: %s" % department_id
                 break
-            if certificate_id in department_certificates:
+            if certificate_id in certificates:
                 msg =  "Duplicate Certificate ID: %s" % department_id
                 break
             try:
-                d.invokeFactory('Certificate', certificate_id)
+                certificates_container.invokeFactory('Certificate', certificate_id)
             except BadRequest,E:
                 msg =  "%s" % E
                 break
             self._v_certificate_list.append(certificate_id)
-            c = getattr(d,certificate_id)
-            c.getContent().edit(mapping=mapping)
+            certificate = getattr(certificates_container,certificate_id)
+            certificate.getContent().edit(mapping=mapping)
             break
         return certificate_id,msg,mapping
@@ -300,7 +304,9 @@
             self._v_department_courses = {}
             for department in departments:
-                courses_folder = getattr(department.getObject(),"courses",None)
-                if courses_folder is not None:
-                    self._v_department_courses[department.getId] = courses_folder.objectIds()
+                courses_container = getattr(department.getObject(),"courses",None)
+                if courses_container is not None:
+                    self._v_department_courses[department.getId] = {'container': courses_container,
+                                                                    'courses': courses_container.objectIds(),
+                                                                   }
         department_id = mapping['department_code']
         course_id = mapping.get('code','')
@@ -311,17 +317,19 @@
                 msg =  "no department with id: %(department_id)s" % vars()
                 break
+            courses_container = department_courses['container']
+            courses = department_courses['courses']
             if course_id in self._v_course_list:
                 msg =  "duplicate course id: %(course_id)s" % vars()
                 break
-            if course_id in department_courses:
+            if course_id in courses:
                 msg =  "course %(course_id)s already exists in department %(department_id)s" % vars()
                 break
             try:
-                department.invokeFactory('Course', course_id)
+                courses_container.invokeFactory('Course', course_id)
             except BadRequest,E:
                 msg =  "%s" % E
                 break
             self._v_course_list.append(course_id)
-            course = getattr(department,course_id)
+            course = getattr(courses_container,course_id)
             course.getContent().edit(mapping=mapping)
             break
@@ -332,9 +340,13 @@
         course_id = mapping.get('code','')
         course = self.courses_catalog.getRecordByKey(course_id)
+        msg = ''
         while True:
             if course is None:
                 msg =  "no course with id: %s" % course_id
                 break
-            course_object = getattr(getattr(self.academics_folder,course.department),course_id)
+            course_object = getattr(getattr(getattr(getattr(self.academics_folder,course.faculty),
+                                    course.department),
+                                    'courses'),
+                                    course_id)
             course_object.getContent().edit(mapping=mapping)
             break
Index: /WAeUP_SRP/base/Widgets.py
===================================================================
--- /WAeUP_SRP/base/Widgets.py	(revision 3354)
+++ /WAeUP_SRP/base/Widgets.py	(revision 3355)
@@ -703,5 +703,6 @@
                                           'Course',
                                           'Certificate',
-                                          'CertificateCourse',]}
+                                          #'CertificateCourse',
+                                         ]}
             widget_id = self.getWidgetId()
             value = datastructure[widget_id]  #.upper()  is not necessary here because it's also done in waeup_document_create_do