Index: WAeUP_SRP/fceokene/profiles/default/layouts.xml
===================================================================
--- WAeUP_SRP/fceokene/profiles/default/layouts.xml	(revision 3357)
+++ WAeUP_SRP/fceokene/profiles/default/layouts.xml	(revision 3358)
@@ -26,4 +26,5 @@
   <object name="import_faculty" meta_type="CPS Layout"/>
   <object name="import_verdict" meta_type="CPS Layout"/>
+  <object name="import_student_study_level" meta_type="CPS Layout"/>
 
   <object name="department" meta_type="CPS Layout"/>
Index: WAeUP_SRP/fceokene/profiles/default/layouts/import_student_study_level.xml
===================================================================
--- WAeUP_SRP/fceokene/profiles/default/layouts/import_student_study_level.xml	(revision 3358)
+++ WAeUP_SRP/fceokene/profiles/default/layouts/import_student_study_level.xml	(revision 3358)
@@ -0,0 +1,97 @@
+<?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="layout.xsl"?>
+<object name="import_student_study_level" meta_type="CPS Layout">
+ <property name="layout_create_method"></property>
+ <property name="layout_edit_method"></property>
+ <property name="layout_view_method"></property>
+ <property name="style_prefix">layout_waeup_</property>
+ <property name="flexible_widgets"/>
+ <property name="validate_values_expr"></property>
+ <widget name="import_mode" meta_type="Select Widget">
+  <property name="title">Import Mode</property>
+  <property name="fields">
+   <element value="import_mode"/>
+  </property>
+  <property name="is_required">True</property>
+  <property name="label">Import Mode</property>
+  <property name="label_edit">Import Mode</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="vocabulary">import_modes</property>
+ </widget>
+  <widget name="id" meta_type="String Widget">
+    <property name="title">Student Id</property>
+    <property name="fields">
+      <element value="id"/>
+    </property>
+    <property name="is_required">False</property>
+    <property name="label">Student Id</property>
+    <property name="label_edit">Student Id</property>
+    <property name="readonly_layout_modes">
+      <element value="edit"/>
+    </property>
+    <property name="hidden_layout_modes"/>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="display_width">8</property>
+  </widget>
+
+  <widget name="matric_no" meta_type="String Widget">
+    <property name="title">MatricNo</property>
+    <property name="fields">
+      <element value="matric_no"/>
+    </property>
+    <property name="is_required">False</property>
+    <property name="label">MatricNo</property>
+    <property name="label_edit">MatricNo</property>
+    <property name="readonly_layout_modes">
+      <element value="edit"/>
+    </property>
+    <property name="hidden_layout_modes"/>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="display_width">12</property>
+  </widget>
+
+ <widget name="code" meta_type="String Widget">
+  <property name="title">Level No</property>
+  <property name="fields">
+   <element value="code"/>
+  </property>
+  <property name="is_required">True</property>
+  <property name="label">Level No</property>
+  <property name="label_edit">Level No</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="edit"/>
+   <element value="view"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="session" meta_type="String Widget">
+  <property name="title">Session</property>
+  <property name="fields">
+   <element value="session"/>
+  </property>
+  <property name="label">Session</property>
+  <property name="label_edit">Session</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="verdict" meta_type="String Widget">
+  <property name="title">Verdict</property>
+  <property name="fields">
+   <element value="verdict"/>
+  </property>
+  <property name="label">Verdict</property>
+  <property name="label_edit">Verdict</property>
+  <property name="readonly_layout_modes">
+     <element value="edit"/>
+     <element value="create"/>
+  </property>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+
+</object>
+
Index: WAeUP_SRP/fceokene/profiles/default/schemas.xml
===================================================================
--- WAeUP_SRP/fceokene/profiles/default/schemas.xml	(revision 3357)
+++ WAeUP_SRP/fceokene/profiles/default/schemas.xml	(revision 3358)
@@ -20,4 +20,5 @@
  <object name="import_student" meta_type="CPS Schema"/>
  <object name="import_verdict" meta_type="CPS Schema"/>
+ <object name="import_student_study_level" meta_type="CPS Schema"/>
 
  <object name="course" meta_type="CPS Schema"/>
Index: WAeUP_SRP/fceokene/profiles/default/schemas/import_student_study_level.xml
===================================================================
--- WAeUP_SRP/fceokene/profiles/default/schemas/import_student_study_level.xml	(revision 3358)
+++ WAeUP_SRP/fceokene/profiles/default/schemas/import_student_study_level.xml	(revision 3358)
@@ -0,0 +1,12 @@
+<?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="schema.xsl"?>
+<object name="import_student_study_level" meta_type="CPS Schema">
+ <field name="import_mode" meta_type="CPS String Field"/>
+ <field name="id" meta_type="CPS String Field"/>
+ <field name="matric_no" meta_type="CPS String Field"/>
+ <field name="code" meta_type="CPS String Field"/>
+ <field name="session" meta_type="CPS String Field"/>
+ <field name="verdict" meta_type="CPS String Field"/>
+ <field name="validated_by" meta_type="CPS String Field"/>
+ <field name="validation_date" meta_type="CPS DateTime Field"/>
+</object>
Index: WAeUP_SRP/fceokene/profiles/default/vocabularies/import_names.xml
===================================================================
--- WAeUP_SRP/fceokene/profiles/default/vocabularies/import_names.xml	(revision 3357)
+++ WAeUP_SRP/fceokene/profiles/default/vocabularies/import_names.xml	(revision 3358)
@@ -7,6 +7,7 @@
  <property name="acl_write_roles">Manager</property>
  <item key="student" msgid="">Student Data</item>
- <item key="verdict" msgid="">Verdicts + WT Return</item>
+ <item key="verdict" msgid="">Current Verdict + WT Return</item>
  <item key="course_result" msgid="">Course Result Data</item>
+ <item key="student_study_level" msgid="">Study Level Data</item>
  <item key="application" msgid="">Application Data</item>
  <item key="faculty" msgid="">Faculty Data</item>