Index: WAeUP_SRP/base/Widgets.py
===================================================================
--- WAeUP_SRP/base/Widgets.py	(revision 3391)
+++ WAeUP_SRP/base/Widgets.py	(revision 3392)
@@ -1219,9 +1219,11 @@
          {'id': 'reuse_pin', 'type': 'boolean', 'mode': 'w',
          'label': 'Reuse Application Pin'},
+         {'id': 'expiration_date', 'type': 'date', 'mode': 'w',
+         'label': 'Exspiration Date'},
         )
     prefix = ''
     reference = ''
     reuse_pin = False
-
+    
     def prepare(self, datastructure, **kw): ###(
         """Prepare datastructure from datamodel."""
@@ -1471,4 +1473,5 @@
         member_id = str(self.portal_membership.getAuthenticatedMember())
         do = 1
+        expiration_date = self.REQUEST.get('expiration_date')
         if self.isStaff():
             do = 0
@@ -1501,4 +1504,10 @@
                 s_logger.info('%s/%s entered wrong data together with PIN %s' % (member_id,ref,pin_str))
         while do:
+            if expiration_date and DateTime(expiration_date).lessThan(DateTime()):
+                if not pins(student=ref):
+                    #import pdb;pdb.set_trace()
+                    err = 'no application record found'
+                    s_logger.info('%s/%s tried new application though expired with PIN %s' % (member_id,ref,pin_str))
+                    break
             ok,pin_record = pins.searchAndSetRecord(pin,ref,prefix)
             if ok < -2 or ok > 2:
Index: WAeUP_SRP/base/doc/srp_documentation.mm
===================================================================
--- WAeUP_SRP/base/doc/srp_documentation.mm	(revision 3391)
+++ WAeUP_SRP/base/doc/srp_documentation.mm	(revision 3392)
@@ -2,5 +2,5 @@
 <!-- To view this file, download free mind mapping software FreeMind from http://freemind.sourceforge.net -->
 <node CREATED="1170079518946" ID="Freemind_Link_650524897" MODIFIED="1172489583516" TEXT="WAeUP Documentation">
-<node CREATED="1172489529057" FOLDED="true" ID="Freemind_Link_43083883" MODIFIED="1172489545651" POSITION="right" TEXT="SRP Data Structure">
+<node CREATED="1172489529057" ID="Freemind_Link_43083883" MODIFIED="1172489545651" POSITION="right" TEXT="SRP Data Structure">
 <node CREATED="1170079621592" ID="Freemind_Link_1297017754" MODIFIED="1170079640872" TEXT="Campus">
 <node CREATED="1171710559043" ID="Freemind_Link_1592396213" MODIFIED="1171710565212" TEXT="Id: campus"/>
@@ -232,4 +232,18 @@
 </node>
 </node>
+<node CREATED="1206110102419" ID="ID_535009408" MODIFIED="1206110113139" TEXT="Data Import">
+<node CREATED="1206110116296" ID="ID_1977539873" MODIFIED="1206110147170" TEXT="Student">
+<node CREATED="1171124926993" ID="ID_677833643" LINK="../profiles/default/schemas/import_student.xml" MODIFIED="1206110297279" TEXT="Schema: import_student"/>
+<node CREATED="1171124982312" ID="ID_246147802" LINK="../profiles/default/layouts/import_student.xml" MODIFIED="1206110362376" TEXT="Layout: import_student"/>
+</node>
+<node CREATED="1206110116296" ID="ID_53520087" MODIFIED="1206110772812" TEXT="Student Study Level">
+<node CREATED="1171124926993" ID="ID_275196857" LINK="../profiles/default/schemas/import_student_study_level.xml" MODIFIED="1206110496797" TEXT="Schema: import_student_study_level"/>
+<node CREATED="1171124982312" ID="ID_1813331706" LINK="../profiles/default/layouts/import_student_study_level.xml" MODIFIED="1206110506764" TEXT="Layout: import_student_study_level"/>
+</node>
+<node CREATED="1206110116296" ID="ID_1116667508" MODIFIED="1206110589175" TEXT="Student Course Results">
+<node CREATED="1171124926993" ID="ID_1895773400" LINK="../profiles/default/schemas/import_course_result.xml" MODIFIED="1206110707820" TEXT="Schema: import_course_result"/>
+<node CREATED="1171124982312" ID="ID_1828896749" LINK="../profiles/default/layouts/import_course_result.xml" MODIFIED="1206110733175" TEXT="Layout: import_course_result"/>
+</node>
+</node>
 </node>
 <node CREATED="1171379675232" FOLDED="true" ID="Freemind_Link_41196870" MODIFIED="1171379685192" TEXT="User Interface">
Index: WAeUP_SRP/base/skins/waeup_student/apply_admission.py
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/apply_admission.py	(revision 3391)
+++ WAeUP_SRP/base/skins/waeup_student/apply_admission.py	(revision 3392)
@@ -163,4 +163,5 @@
 without_reg_no = screening_type in ('prence','cest','sandwich')
 info['expired'] = current.greaterThan(deaddates[screening_type])
+info['expiration_date'] = deaddates[screening_type]
 
 
@@ -176,4 +177,5 @@
                              ob=object,
                              commit = False,
+                             expiration_date = deaddates[screening_type],
                             )
 if slip:
Index: WAeUP_SRP/base/skins/waeup_student/apply_admission_form.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/apply_admission_form.pt	(revision 3391)
+++ WAeUP_SRP/base/skins/waeup_student/apply_admission_form.pt	(revision 3392)
@@ -35,4 +35,7 @@
                  tal:attributes="value ds/pin|nothing"
                  tal:condition="ds/pin|nothing"/>
+          <input type="hidden" name="expiration_date"
+                 tal:attributes="value info/expiration_date|nothing"
+                 tal:condition="info/expiration_date|nothing"/>
                 
           <div tal:replace="structure rendered_main" />